Breadcrumbs

Metavault API - Get satellite list of link

GetLinkSatellites - GET

Path

/api/projects/{projectId}/model/links/{linkId}/satellites

Http Method

GET

Overview

Required permissions

  • Read access to the Build module. BUILD READ

Request

Path parameters

Parameter

Type

Required

Description

Example

linkId

string

Yes

The id of the link to get satellites for.


Query parameters

See: Metavault API - General concepts | Paging, sorting and filters for collection query parameters.

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "satellites": [
      {
        "_embedded": {
          "columns": [
            {
              "id": "c7e51826-070f-4f09-814e-794076f3fc9b",
              "columnName": "mail",
              "dataType": "String",
              "typeFullName": "VARCHAR(255)",
              "required": false,
              "isComputed": false,
              "order": 0,
              "length": 255,
              "isSequence": false
            },
            {
              "id": "a28c8ca7-4e44-4de4-8f26-097925315e13",
              "columnName": "team_name",
              "dataType": "String",
              "typeFullName": "VARCHAR(255)",
              "required": false,
              "isComputed": false,
              "order": 1,
              "length": 255,
              "isSequence": false
            },
            {
              "id": "2bc1d1c9-973f-404b-af2d-72184895e8cc",
              "columnName": "role",
              "dataType": "String",
              "typeFullName": "VARCHAR(255)",
              "required": false,
              "isComputed": false,
              "order": 2,
              "length": 255,
              "isSequence": false
            }
          ]
        },
        "id": "4a46da35-16dc-4e3e-9356-ecb6f4f61a29",
        "name": "EmployeeTeam_employee_team_info",
        "displayName": "employee_team_info",
        "businessDescription": "",
        "technicalDescription": "",
        "deployedInProduction": false,
        "entityType": "Satellite",
        "tableName": "dv.sl_EmployeeTeam_employee_team_info",
        "isMultiActive": false
      }
    ]
  },
  "sort": [],
  "index": 0,
  "limit": 10,
  "expand": [],
  "total": 1
}
Response fields

For collection parameter responses see:Metavault API - General concepts